petsc-3.7.1 2016-05-15
Report Typos and Errors

# TSSetMaxStepRejections

Sets the maximum number of step rejections before a step fails

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSSetMaxStepRejections(TS ts,PetscInt rejects)

Not Collective Many br

### Input Parameter

| ts | - TS context Many br
| rejects | - maximum number of rejected steps, pass -1 for unlimited Many br

### Notes

The counter is reset to zero for each step Many br

### Options Database Key

. -ts_max_reject - Maximum number of step rejections before a step fails Many br

Many br

### Keywords

TS, set, maximum, number

### See Also

TSGetSNESIterations(), TSGetKSPIterations(), TSSetMaxSNESFailures(), TSGetStepRejections(), TSGetSNESFailures(), TSSetErrorIfStepFails(), TSGetConvergedReason()

Level:intermediate
Location:src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ts/examples/tutorials/ex8.c.html
src/ts/examples/tutorials/ex42.c.html